/** This is an example Apemanfile to use apeman-middleware-react */

'use strict'

const co = require('co')

module.exports = {
  $pkg: { /* ... */ },
  $ui: {
    /* ... */
    ':page_name': co.wrap(function * renderPage (ctx, next) {
      let { params } = ctx
      let PageComponent = require('./example-page-components')[ params[ 'page_name' ] ]
      if (PageComponent) {
        let props = { /* ... */ }
        // Use `.react` method to render react static markup to provided by `apeman-middleware-react` package.
        ctx.react(PageComponent, props)
      } else {
        yield next()
      }
    }),
    $middlewares: [
      require('apeman-middleware-react')({})
    ]
  }
}
